Package org.h2.security

# Class SHA3

java.lang.Object
java.security.MessageDigestSpi
java.security.MessageDigest
org.h2.security.SHA3

public final class SHA3 extends MessageDigest
SHA-3 message digest family.

## Method Summary

Modifier and Type
Method
Description
`protected byte[]`
`engineDigest()`
`protected int`
`engineGetDigestLength()`
`protected void`
`engineReset()`
`protected void`
`engineUpdate(byte input)`
`protected void`
`engineUpdate(byte[] input, int offset, int len)`
`static SHA3`
`getSha3_224()`
Returns a new instance of SHA3-224 message digest.
`static SHA3`
`getSha3_256()`
Returns a new instance of SHA3-256 message digest.
`static SHA3`
`getSha3_384()`
Returns a new instance of SHA3-384 message digest.
`static SHA3`
`getSha3_512()`
Returns a new instance of SHA3-512 message digest.

### Methods inherited from class java.security.MessageDigest

`clone, digest, digest, digest, getAlgorithm, getDigestLength, getInstance, getInstance, getInstance, getProvider, isEqual, reset, toString, update, update, update, update`

### Methods inherited from class java.security.MessageDigestSpi

`engineDigest, engineUpdate`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getSha3_224

public static SHA3 getSha3_224()
Returns a new instance of SHA3-224 message digest.

Returns:
  SHA3-224 message digest

### getSha3_256

public static SHA3 getSha3_256()
Returns a new instance of SHA3-256 message digest.

Returns:
  SHA3-256 message digest

### getSha3_384

public static SHA3 getSha3_384()
Returns a new instance of SHA3-384 message digest.

Returns:
  SHA3-384 message digest

### getSha3_512

public static SHA3 getSha3_512()
Returns a new instance of SHA3-512 message digest.

Returns:
  SHA3-512 message digest

### engineDigest

protected byte[] engineDigest()

Specified by:
  `engineDigest` in class `MessageDigestSpi`

### engineGetDigestLength

protected int engineGetDigestLength()

Overrides:
  `engineGetDigestLength` in class `MessageDigestSpi`

### engineReset

protected void engineReset()

Specified by:
  `engineReset` in class `MessageDigestSpi`

### engineUpdate

protected void engineUpdate(byte input)

Specified by:
  `engineUpdate` in class `MessageDigestSpi`

### engineUpdate

protected void engineUpdate(byte[] input, int offset, int len)

Specified by:
  `engineUpdate` in class `MessageDigestSpi`